%global momorel 4

Summary: GNOME Color Manager
Name: gnome-color-manager
Version: 2.30.2
Release: %{momorel}m%{?dist}
License: LGPL
Group: Applications/System
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.30/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.gnome.org/
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: gtk-doc

BuildRequires: glib2-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libXrandr-devel
BuildRequires: gtk2-devel
BuildRequires: gnome-desktop-devel
BuildRequires: GConf2-devel
BuildRequires: unique-devel
BuildRequires: vte-devel
BuildRequires: libgudev1-devel
BuildRequires: lcms-devel
BuildRequires: dbus-glib-devel
BuildRequires: libX11-devel
BuildRequires: libnotify-devel
BuildRequires: sane-backends-devel
BuildRequires: libcanberra-devel

Requires(pre): GConf2
Requires(pre): rarian
Requires(pre): gtk2

%description
GNOME Color Manager is a session framework that makes it easy to manage, install
and generate color profiles in the GNOME desktop.

%prep
%setup -q

%build
%configure \
    --disable-silent-rules \
    --disable-static \
    --disable-scrollkeeper \
    --enable-gtk-doc \
    --disable-schemas-install \
    --enable-packagekit
make %{?_smp_mflags} SANE_CFLAGS="-I%{_includedir}" SANE_LIBS="-L%{_libdir} -lsane"

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
rarian-sk-update
gtk-update-icon-cache -q -t -f %{_datadir}/icons/hicolor
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gnome-color-manager.schemas \
    > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gnome-color-manager.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gnome-color-manager.schemas \
	> /dev/null || :
fi

%postun
rarian-sk-update
gtk-update-icon-cache -q -t -f %{_datadir}/icons/hicolor


%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/gconf/schemas/gnome-color-manager.schemas
%{_sysconfdir}/xdg/autostart/gcm-apply.desktop

/lib/udev/rules.d/95-gcm-colorimeters.rules
/lib/udev/rules.d/95-gcm-devices.rules

%{_localstatedir}/lib/color

%{_bindir}/*
%{_sbindir}/*

%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/omf/%{name}
%{_datadir}/polkit-1/actions/*

%{_datadir}/dbus-1/services/org.gnome.ColorManager.service

%doc %{_datadir}/gnome/help/*

%{_mandir}/man1/*.1.*

%{_datadir}/locale/*/*/*


%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.2-4m)
- full rebuild for mo7 release

* Sun Jun 20 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.30.2-3m)
- fix build

* Sat Jun 19 2010 NARITA Koichi <pulsar@omonga-linux.org>
- (2.30.2-2m)
- enable to build on x86_64

* Sat Jun 19 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.2-1m)
- initila build

